summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Cristiano Urban <cristiano.urban.slack@gmail.com>2016-08-09 16:05:02 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-13 07:22:19 +0700
commita4fa72fc390d032934708cd702d811730890b872 (patch)
treeb77bab43a81f87dd7d36bdfe0f1e3eaa63261b2f /gis
parentaf931f852b8c65b82b75de213507906de50a24d8 (diff)
downloadslackbuilds-a4fa72fc390d032934708cd702d811730890b872.tar.gz
slackbuilds-a4fa72fc390d032934708cd702d811730890b872.tar.xz
gis/GMT: Added (Generic Mapping Tools).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/GMT/GMT.SlackBuild121
-rw-r--r--gis/GMT/GMT.info14
-rw-r--r--gis/GMT/README18
-rw-r--r--gis/GMT/gmt.diff.gzbin0 -> 466 bytes
-rw-r--r--gis/GMT/slack-desc19
5 files changed, 172 insertions, 0 deletions
diff --git a/gis/GMT/GMT.SlackBuild b/gis/GMT/GMT.SlackBuild
new file mode 100644
index 0000000000..eb49178963
--- /dev/null
+++ b/gis/GMT/GMT.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+# Slackware build script for GMT (Generic Mapping Tools)
+
+# Copyright (c) 2016 Cristiano Urban, Gonars, Italy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=GMT
+SRCNAM=gmt
+VERSION=${VERSION:-5.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+GSHHG=gshhg
+GSHHG_VERSION=${GSHHG_VERSION:-2.3.5}
+
+DCW=dcw
+DCW_VERSION=${DCW_VERSION:-1.1.2}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION $GSHHG-$SRCNAM-$GSHHG_VERSION $DCW-$SRCNAM-$DCW_VERSION
+tar xvf $CWD/$SRCNAM-$VERSION*.tar.gz
+tar xvf $CWD/$GSHHG-$SRCNAM-$GSHHG_VERSION.tar.gz
+tar xvf $CWD/$DCW-$SRCNAM-$DCW_VERSION.tar.gz
+mkdir -p $PKG/usr/share/$SRCNAM/gshhg
+mkdir -p $PKG/usr/share/$SRCNAM/dcw
+cp -r $GSHHG-$SRCNAM-$GSHHG_VERSION/* $PKG/usr/share/$SRCNAM/gshhg
+cp -r $DCW-$SRCNAM-$DCW_VERSION/* $PKG/usr/share/$SRCNAM/dcw
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+zcat $CWD/gmt.diff.gz | patch -p1 --verbose
+
+if [ "${SHEWCHUK:-no}" = "yes" ]; then
+ LICFLAG="off"
+else
+ LICFLAG="GPL"
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DGMT_DATADIR=share/$SRCNAM \
+ -DGMT_DOCDIR=doc/$PRGNAM-$VERSION \
+ -DGMT_MANDIR=man \
+ -DGSHHG_ROOT=$PKG/usr/share/$SRCNAM/gshhg \
+ -DDCW_ROOT=$PKG/usr/share/$SRCNAM/dcw \
+ -DLICENSE_RESTRICTED=$LICFLAG \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/GMT/GMT.info b/gis/GMT/GMT.info
new file mode 100644
index 0000000000..bd44cea1de
--- /dev/null
+++ b/gis/GMT/GMT.info
@@ -0,0 +1,14 @@
+PRGNAM="GMT"
+VERSION="5.2.1"
+HOMEPAGE="http://gmt.soest.hawaii.edu/"
+DOWNLOAD="ftp://ftp.soest.hawaii.edu/gmt/gmt-5.2.1-src.tar.gz \
+ ftp://ftp.soest.hawaii.edu/gmt/gshhg-gmt-2.3.5.tar.gz \
+ ftp://ftp.soest.hawaii.edu/gmt/dcw-gmt-1.1.2.tar.gz"
+MD5SUM="df96d3cc9a93bc3c049f1523ada57117 \
+ 12c6604d779ddd1727e96433da20e147 \
+ 45c99d30026742dbc0b1644ea64f496d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="gdal netcdf"
+MAINTAINER="Cristiano Urban"
+EMAIL="cristiano.urban.slack@gmail.com"
diff --git a/gis/GMT/README b/gis/GMT/README
new file mode 100644
index 0000000000..9a505f283e
--- /dev/null
+++ b/gis/GMT/README
@@ -0,0 +1,18 @@
+GMT is an open source collection of about 80 command-line tools for
+manipulating geographic and Cartesian data sets (including filtering,
+trend fitting, gridding, projecting, etc.) and producing PostScript
+illustrations ranging from simple x-y plots via contour maps to
+artificially illuminated surfaces and 3D perspective views; the GMT
+supplements add another 40 more specialized and discipline-specific
+tools.
+
+By default, GMT will use Dave Watson's Delaunay triangulation routine.
+However, a much faster alternative is available from Jonathan Shewchuk,
+but his routine is not distributed under the GNU Public License.
+In order to use the Shewchuk's routine you have to launch the script
+by passing the SHEWCHUK parameter:
+
+ SHEWCHUK=yes ./GMT.SlackBuild
+
+For more details refer to the README and LICENSE.TXT files contained
+into the GMT sources.
diff --git a/gis/GMT/gmt.diff.gz b/gis/GMT/gmt.diff.gz
new file mode 100644
index 0000000000..36bad5252d
--- /dev/null
+++ b/gis/GMT/gmt.diff.gz
Binary files differ
diff --git a/gis/GMT/slack-desc b/gis/GMT/slack-desc
new file mode 100644
index 0000000000..2c2f87e8b5
--- /dev/null
+++ b/gis/GMT/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+GMT: GMT (Generic Mapping Tools)
+GMT:
+GMT: GMT is an open source collection of about 80 command-line tools for
+GMT: manipulating geographic and Cartesian data sets (including filtering,
+GMT: trend fitting, gridding, projecting, etc.) and producing PostScript
+GMT: illustrations ranging from simple x-y plots via contour maps to
+GMT: artificially illuminated surfaces and 3D perspective views.
+GMT:
+GMT: Homepage: http://gmt.soest.hawaii.edu
+GMT:
+GMT: